# Summary

[Introduction](./structure/intro.md)

- [Dev](./dev/main.md)

  - [Golang](./dev/golang/main.md)
    - [Testing](./dev/golang/testing.md)
  - [Rust](./dev/rust/main.md)
    - [serde](./dev/rust/serde.md)
    - [Testing](./dev/rust/testing.md)
  - [Web](./dev/web/main.md)
    - [front](./dev/web/front/main.md)
      - [babel and babel-preset-stage-2](./dev/web/front/babel-preset-stage-2.md)
    - [js](./dev/web/javascript/main.md)
      - [ES6 features](./dev/web/javascript/es6.md)
  - [Regex](./dev/regex/main.md)
  - [Tools](./dev/tools/main.md)
    - [Git](./dev/tools/git.md)
    - [SVN](./dev/tools/svn.md)

- [Ops](./ops/main.md)
  - [GNU/Linux](./ops/gnulinux/main.md)
    - [Debian](./ops/gnulinux/debian.md)
  - [Shell Tips](./ops/shelltips.md)
  - [Tools](./ops/tools/main.md)
    - [Ansible](./ops/tools/ansible.md)
    - [Docker](./ops/tools/docker.md)
    - [MongoDB](./ops/tools/mongodb.md)
    - [OpenSSL](./ops/tools/openssl.md)
    - [Tmux](./ops/tools/tmux.md)
